# Vagrant-Devstack

## Setup the virtual machine

On the host machine, start the virtual machine:

    vagrant up --provider=libvirt

Export the SSH configuration

    vagrant ssh-config > ~/.ssh/config

## Setup tunnels

On the host machine (for students with a VM + devstack)

    ssh -L 8081:192.168.56.21:80 vagrant@control -N

On your local machine (for students with a specific bare metal installation)

    ssh -L8081:127.0.0.1:8081  debian@xxxx -N

Then open your favorite web browser on the following address:

    http://localhost:8081/dashboard/

## Setup CLI tools

    sudo apt-get install python3-pip
    sudo pip3 install python-openstackclient

    # for a specific component (nova, neutron, etc.)
    sudo pip3 install python-COMPONENTclient

## Setup proxy (for openstack CLI)

On the host machine

    ssh -D 3128 vagrant@control -N

    export https_proxy=socks5://localhost:3128
    export http_proxy=socks5://localhost:3128
    export no_proxy=localhost,127.0.0.1

The verify with the CLI:

    openstack image list

## References

* https://opendev.org/openstack/devstack-vagrant
